#include <psemek/wgpu/bind_group_layout.hpp>
#include <psemek/wgpu/detail/string_view.hpp>
#include <psemek/wgpu/external/webgpu.h>

namespace psemek::wgpu
{

	void bind_group_layout::set_label(std::string const & label)
	{
		wgpuBindGroupLayoutSetLabel((WGPUBindGroupLayout)get(), detail::to_string_view(label));
	}

	void bind_group_layout::reference(void * ptr)
	{
		wgpuBindGroupLayoutAddRef((WGPUBindGroupLayout)ptr);
	}

	void bind_group_layout::release(void * ptr)
	{
		wgpuBindGroupLayoutRelease((WGPUBindGroupLayout)ptr);
	}

}
